from flask_restful import Resource
from flask import current_app as request

import requests

class DMMProxy(Resource):
    def post():
        url = "https://apidgp-gameplayer.games.dmm.com/v5/launch/cl"
        headers = {"User-Agent": "DMMGamePlayer5-Win/5.3.12 Electron/32.1.0",
                "Client-App": "DMMGamePlayer5",
                    "Client-version": "5.3.12",
                    "Content-Type": "application/json"}

        with requests.Session() as session:
            requests.utils.add_dict_to_cookiejar(session.cookies, request.cookies)
            response = session.post(url, headers=headers, data=request.data)
            return response 